import { runner } from './runner';
import { initVisualUI, addFunctionChangeListener,
  addGlobalChangeListener, removeFunctionListener,
  removeGlobalListener, getTestCases } from './visualUI/functions';
import * as LocalizedStringsService from './services/localizedStringsService';
import { i18nHelper } from "./services/i18nHelper";
import { ActionTypes, getLogs, getLogsAsString, registerClick, registerUserEvent, parseLogs } from "./services/userLog";
import { prepareActivityToStudentHelper, autoEval } from "./util/iassignHelpers";
import { openAssessmentDetail } from "./util/utils";
import * as CodeEditorAll from "./visualUI/text_editor";
import {autoGenerateTestCaseOutput} from './util/auto_gen_output';

const CodeEditor = {
  setCode: CodeEditorAll.setCode,
  getCode: CodeEditorAll.getCode,
  updateEditor: CodeEditorAll.updateEditor,
  disable: CodeEditorAll.disable
};

const i18n = i18nHelper.i18n
const LocalizedStrings = LocalizedStringsService.getInstance();

export {
  runner,
  initVisualUI,
  addFunctionChangeListener,
  addGlobalChangeListener,
  removeFunctionListener,
  removeGlobalListener,
  getTestCases,
  autoEval,
  prepareActivityToStudentHelper,
  LocalizedStrings,
  i18n,
  getLogs,
  getLogsAsString,
  registerClick,
  registerUserEvent,
  parseLogs,
  ActionTypes,
  CodeEditor,
  openAssessmentDetail,
  autoGenerateTestCaseOutput
}